;;;; net http -- an interface to the HTTP protocol. 

;;  Copyright 2001, Evan Prodromou <evan@prodromou.san-francisco.ca.us>.

;;  This program is free software; you can redistribute it and/or modify
;;  it under the terms of the GNU General Public License as published by
;;  the Free Software Foundation; either version 2 of the License, or
;;  (at your option) any later version.

;;  This program is distributed in the hope that it will be useful,
;;  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;  GNU General Public License for more details.

;;  You should have received a copy of the GNU General Public License
;;  along with this program; if not, write to the Free Software
;;  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(define-module (net http)
  :use-module (net http client)
  :use-module (oop goops))

(export http-head http-get http-post)

;;; The version of this module

(define *module-version* "0.3.1")
 
(define (http-head uri)
  (let ((client (make <http-client>)))
    (head client uri)))

(define (http-get uri)
  (let ((client (make <http-client>)))
    (get client uri)))

(define (http-post uri params)
  (let ((client (make <http-client>)))
    (post client uri params)))
